STRCATL(3)

NAME
strcatl() - concatenates strings

SYNOPSIS
char *strcatl(outbuf,s1...sn,NULL)
char *outbuf,*s1...*sn;

DESCRIPTION
strcatl() concatenates the "to" strings (s1...sn) into outbuf. The end of the list is signalled by NULL.

RETURNS
Returns a pointer to the end of the concatenated output, in outbuf.

NOTES
No check for buffer overflow is made.

A strcatl() of the form: strcatl(foo,bar,foo,NULL) does not work correctly, although a strcatl() of the form "strcatl(foo,foo,bar,NULL)" will. The destination string can only be a source string if it is the first string in the list.